package com.ruoyi.web.project.service;

import java.util.List;
import java.util.Map;

public interface WxIProjectInfoService {


    /**
     * 查询组织下一层级
     * @param map
     * @return
     */
    Map<String,Object> selectDeptSubordinate(Map<String,Object> map);

    /**
     * 根据所选层级查询登录用户的项目
     * @param map
     * @return
     */
    List<Map<String,Object>> getProjectByDeptIdAndCompanyId(Map<String,Object> map);

    /**
      * Methods
      * @describe 描述：获取项目的基本信息
      * @author 作者：Makalu
      * @date 时间：2020/7/7 17:59
      * @version 版本： V1.0
      * @param id：String
      * @return 返回值：map
      * @throws Exception 异常：none
      */
    public Map<String, Object> getProjectBasicInfo(String id);

    /**
     * 获取建设单位
     * @param projectId
     * @return
     */
    List<Map<String,Object>> getProjectUnitList(String projectId);


}
